> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mailbox

> Get mailbox information.



## OpenAPI

````yaml /openapi/salesforge-publicapi.json get /workspaces/{workspaceID}/mailboxes/{mailboxID}
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/mailboxes/{mailboxID}:
    get:
      tags:
        - mailboxes
      summary: Get mailbox
      description: Get mailbox information.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Mailbox ID
          in: path
          name: mailboxID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.MailboxResponse'
          description: Mailbox
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Mailbox not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.MailboxResponse:
      properties:
        address:
          type: string
        dailyEmailLimit:
          type: integer
        disconnectReason:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        mailboxProvider:
          $ref: '#/components/schemas/models.MailboxProvider'
        signature:
          type: string
        status:
          $ref: '#/components/schemas/models.MailboxStatus'
        trackingDomain:
          type: string
        trackingDomainStatus:
          $ref: '#/components/schemas/models.TrackingDomainStatus'
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    models.MailboxProvider:
      enum:
        - gmail
        - outlook
        - smtp
      type: string
      x-enum-varnames:
        - MailboxProviderGmail
        - MailboxProviderOutlook
        - MailboxProviderSmtp
    models.MailboxStatus:
      enum:
        - active
        - frozen
        - access_lost
        - deleted
        - inactive
        - pending
        - suspended
      type: string
      x-enum-varnames:
        - MailboxStatusActive
        - MailboxStatusFrozen
        - MailboxStatusAccessLost
        - MailboxStatusDeleted
        - MailboxStatusInactive
        - MailboxStatusPending
        - MailboxStatusSuspended
    models.TrackingDomainStatus:
      enum:
        - active
        - pending
      type: string
      x-enum-varnames:
        - TrackingDomainStatusActive
        - TrackingDomainStatusPending
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.WebhookResponse'
          type: array
      type: object
    api.WebhookResponse:
      properties:
        id:
          type: string
        name:
          type: string
        sentCount:
          type: integer
        sequenceId:
          type: string
        type:
          $ref: '#/components/schemas/webhooks.WebhookType'
        url:
          type: string
      type: object
    webhooks.WebhookType:
      enum:
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
        - dnc_added
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
      type: string
      x-enum-varnames:
        - WebhookTypeEmailSent
        - WebhookTypeEmailOpened
        - WebhookTypeLinkClicked
        - WebhookTypeEmailReplied
        - WebhookTypeLinkedinReplied
        - WebhookTypeContactUnsubscribed
        - WebhookTypeEmailBounced
        - WebhookTypePositiveReply
        - WebhookTypeNegativeReply
        - WebhookTypeLabelChanged
        - WebhookTypeDNCAdded
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````